set terminal postscript color
set noxzeroaxis
set noyzeroaxis
### Using xScale = log
### Using yScale = nd
set key top spacing 0.7 
set size ratio 0.85
set title 'DET Plot - 010'
set grid
set pointsize 3
set ylabel 'PMiss (in %)'
set xlabel 'RFA (in Events/Hour)'
set label 10 "0.100" at graph 0.005, graph 0.50272376821598 left nopoint textcolor rgb "#FFD700"
set label 11 "0.200" at graph 0.005, graph 0.564227376683304 left nopoint textcolor rgb "#FFD700"
set label 12 "0.400" at graph 0.005, graph 0.643764951470694 left nopoint textcolor rgb "#FFD700"
set label 13 "0.600" at graph 0.005, graph 0.711115879851457 left nopoint textcolor rgb "#FFD700"
set label 14 "0.800" at graph 0.005, graph 0.788035632412559 left nopoint textcolor rgb "#FFD700"
set label 15 "0.900" at graph 0.005, graph 0.843858470898831 left nopoint textcolor rgb "#FFD700"
set label 16 "1.000" at graph 0.005, graph 0.99 left nopoint textcolor rgb "#FFD700"
set xtics
set logscale x
set noytics
set ytics ('.00001' -5.1994, '.0001' -4.7534, '.001' -4.2649, '.004' -3.9444, '.01' -3.7190, '.02' -3.5401, '.05' -3.2905, '.1' -3.0902, '.2' -2.8782, '.5' -2.5758, '1' -2.3263, '2' -2.0537, '5' -1.6449, '10' -1.2816, '20' -0.8416, '40' -0.2533, '60' 0.2533, '80' 0.8416, '90' 1.2816, '95' 1.6449, '98' 2.0537, '99' 2.3263)
plot [0.00001:100] [-5.19936889632337:2.32634787735637] \
  './results/DET.files/nist.v.BALANCED.allgood.det.010.isometriclines' title 'Iso-DCR lines' with lines lt rgb "#FFD700",\
  -x title 'Random Performance' with lines lc 1,\
    './results/DET.files/nist.v.BALANCED.allgood.det.010.dat.1' using 5:2 notitle with lines lc 2,\
    './results/DET.files/nist.v.BALANCED.allgood.det.010.dat.2' using 4:5 title 'DET Plot - 010' with linespoints lc 2 pt 7 ps 2,\
   './results/DET.files/nist.v.BALANCED.allgood.det.010.dat.2' using 9:10 title 'Actual DCR=3328.056' with points lc 2 pt 6 ps 2 