set terminal postscript color
set noxzeroaxis
set noyzeroaxis
### Using xScale = log
### Using yScale = nd
set key top spacing 0.7 
set size ratio 0.85
set title 'DET Plot'
set grid
set pointsize 3
set ylabel 'PMiss (in %)'
set xlabel 'RFA (in Events/Hour)'
set label 10 "0.100" at graph 0.005, graph 0.50272376821598 left nopoint textcolor rgb "#FFD700"
set label 11 "0.200" at graph 0.005, graph 0.564227376683304 left nopoint textcolor rgb "#FFD700"
set label 12 "0.400" at graph 0.005, graph 0.643764951470694 left nopoint textcolor rgb "#FFD700"
set label 13 "0.600" at graph 0.005, graph 0.711115879851457 left nopoint textcolor rgb "#FFD700"
set label 14 "0.800" at graph 0.005, graph 0.788035632412559 left nopoint textcolor rgb "#FFD700"
set label 15 "0.900" at graph 0.005, graph 0.843858470898831 left nopoint textcolor rgb "#FFD700"
set label 16 "1.000" at graph 0.005, graph 0.99 left nopoint textcolor rgb "#FFD700"
set xtics
set logscale x
set noytics
set ytics ('.00001' -5.1994, '.0001' -4.7534, '.001' -4.2649, '.004' -3.9444, '.01' -3.7190, '.02' -3.5401, '.05' -3.2905, '.1' -3.0902, '.2' -2.8782, '.5' -2.5758, '1' -2.3263, '2' -2.0537, '5' -1.6449, '10' -1.2816, '20' -0.8416, '40' -0.2533, '60' 0.2533, '80' 0.8416, '90' 1.2816, '95' 1.6449, '98' 2.0537, '99' 2.3263)
plot [0.00001:100] [-5.19936889632337:2.32634787735637] \
  './results/DET.files/nist.v.BALANCED.allgood.det.isometriclines' title 'Iso-DCR lines' with lines lt rgb "#FFD700",\
  -10000 title "Transformation 1 Omitted - No Data" with linespoints lc 2 lw 1 pt 7 ps 2,\
  './results/DET.files/nist.v.BALANCED.allgood.det.002.dat.1' using 5:2 notitle with lines lc 3 lw 3,\
  './results/DET.files/nist.v.BALANCED.allgood.det.002.dat.2' using 4:5 title ' Transformation 2' with linespoints lc 3 pt 5 lw 3 ps 2,\
    './results/DET.files/nist.v.BALANCED.allgood.det.002.dat.2' using 9:10 title 'Actual DCR=3132.605' with points lc 3 pt 4 ps 2,\
  './results/DET.files/nist.v.BALANCED.allgood.det.003.dat.1' using 5:2 notitle with lines lc 4 lw 5,\
  './results/DET.files/nist.v.BALANCED.allgood.det.003.dat.2' using 4:5 title ' Transformation 3' with linespoints lc 4 pt 9 lw 5 ps 2,\
    './results/DET.files/nist.v.BALANCED.allgood.det.003.dat.2' using 9:10 title 'Actual DCR=2925.781' with points lc 4 pt 8 ps 2,\
  './results/DET.files/nist.v.BALANCED.allgood.det.004.dat.1' using 5:2 notitle with lines lc 5 lw 1,\
  './results/DET.files/nist.v.BALANCED.allgood.det.004.dat.2' using 4:5 title ' Transformation 4' with linespoints lc 5 pt 11 lw 1 ps 2,\
    './results/DET.files/nist.v.BALANCED.allgood.det.004.dat.2' using 9:10 title 'Actual DCR=2943.362' with points lc 5 pt 10 ps 2,\
  './results/DET.files/nist.v.BALANCED.allgood.det.005.dat.1' using 5:2 notitle with lines lc 6 lw 3,\
  './results/DET.files/nist.v.BALANCED.allgood.det.005.dat.2' using 4:5 title ' Transformation 5' with linespoints lc 6 pt 13 lw 3 ps 2,\
    './results/DET.files/nist.v.BALANCED.allgood.det.005.dat.2' using 9:10 title 'Actual DCR=2938.306' with points lc 6 pt 12 ps 2,\
  './results/DET.files/nist.v.BALANCED.allgood.det.006.dat.1' using 5:2 notitle with lines lc 7 lw 5,\
  './results/DET.files/nist.v.BALANCED.allgood.det.006.dat.2' using 4:5 title ' Transformation 6' with linespoints lc 7 pt 7 lw 5 ps 2,\
    './results/DET.files/nist.v.BALANCED.allgood.det.006.dat.2' using 9:10 title 'Actual DCR=3003.956' with points lc 7 pt 6 ps 2,\
  -10000 title "Transformation 7 Omitted - No Data" with linespoints lc 8 lw 1 pt 5 ps 2,\
  './results/DET.files/nist.v.BALANCED.allgood.det.008.dat.1' using 5:2 notitle with lines lc 9 lw 3,\
  './results/DET.files/nist.v.BALANCED.allgood.det.008.dat.2' using 4:5 title ' Transformation 8' with linespoints lc 9 pt 9 lw 3 ps 2,\
    './results/DET.files/nist.v.BALANCED.allgood.det.008.dat.2' using 9:10 title 'Actual DCR=2733.819' with points lc 9 pt 8 ps 2,\
  -10000 title "Transformation 9 Omitted - No Data" with linespoints lc 10 lw 5 pt 11 ps 2,\
  './results/DET.files/nist.v.BALANCED.allgood.det.010.dat.1' using 5:2 notitle with lines lc 11 lw 1,\
  './results/DET.files/nist.v.BALANCED.allgood.det.010.dat.2' using 4:5 title ' Transformation 10' with linespoints lc 11 pt 13 lw 1 ps 2,\
    './results/DET.files/nist.v.BALANCED.allgood.det.010.dat.2' using 9:10 title 'Actual DCR=3328.056' with points lc 11 pt 12 ps 2